<?php

declare(strict_types=1);

namespace Plugin\cin_bistro_5\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

final class Migration20211202144531 extends Migration implements IMigration
{
  public function up(): void
  {
    $this->execute("CREATE TABLE IF NOT EXISTS `xplugin_cin_bistro_order_number` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `order_id` varchar(4) NOT NULL,
    `order_date` timestamp NOT NULL DEFAULT current_timestamp(),
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
    
    CREATE TABLE IF NOT EXISTS `xplugin_cin_bistro_openings` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `day` varchar(3) NOT NULL,
    `open` time,
    `close` time,
    `active` tinyint(1) NOT NULL DEFAULT 1,
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
    
    CREATE TABLE IF NOT EXISTS `xplugin_cin_bistro_closings` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `reason` varchar(255),
    `from` timestamp NOT NULL,
    `to` timestamp NOT NULL,
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
    
    INSERT INTO xplugin_cin_bistro_openings (`day`)
    VALUES ('mon'), ('tue'), ('wed'), ('thu'), ('fri'), ('sat'), ('sun')");
  }

  public function down(): void
  {
    if ($this->doDeleteData()) {
      $this->execute('DROP TABLE `xplugin_cin_bistro_order_number`;
      DROP TABLE `xplugin_cin_bistro_openings`;
      DROP TABLE `xplugin_cin_bistro_closings`;');
    }
  }
}
