# CiN Bistro

## Übersicht

- [Anforderungen](#user-content-anforderungen)
- [Einrichtung](#einrichtung)
- [Tipps und Tricks](#user-content-tipps-und-tricks)
- [Snippets](#user-content-snippets)
- [FAQs](#user-content-faqs)

Dieses Plugin ist perfekt wenn du online Lebensmittel aus der Küche anbietest.

- Hinterlege deine Öffnungszeiten und zeige diese dynamisch auf der Startseite an
- Sind deine Bestellnummern sehr lang, dann gib dem Kunden eine kurze Abholnummer
- Biete dem Kunden die Möglichkeit eine Abhol-/Lieferzeit auszuwählen
- Mit dem angepassten Artikelkonfigurator lassen sich einfach Menükompositionen darstellen
- Einfache Integration von Mehrweg + Einwegsystemen
- Verknüpfung mit unserem Android Kitchen Manager (Anzeige der Bestellungen des aktuellen Tages)

## Anforderungen

**Wawi: +1.6**

> Für Gerichte die Zusammengestellt werden können sowie für die Verwendung eines Mehrweg Pfandsystems wird eine Konfiguratorlizenz von JTL benötigt.

Wird kein weiteres Tool wie unser Android **Kitchen Manager** verwendet, müssen sogenannte *Eigene Felder* erstellt werden. Dafür navigiere in der Wawi zu *Admin -> Eigene Felder -> Angebot/Auftrag/Abonnement* .
Hier muss die Gruppe *CiN* erstellt und markiert werden. Jetzt sollten folgende Felder angelegt werden.

* ```cin_foodorder``` als Freitext
* ```cin_foodtime``` als Freitext
* ```cin_fooddelivered``` als Checkbox

**Shop:**
* DARSTELLUNG -> STANDARDANSICHTEN -> BESTELLVORGANG **Abschluss-Seite nach externer Bezahlung:** *Abschluss-Seite*
* Pfand für Mehrwegverpackungen kann zwar grundsätzlich als Brutto/Netto Preis hintelegt werden, wird dann allerdings nicht als Pfand sondern als Preis für den Kunden ausgegeben. Wir empfehlen hier unser [Pfandplugin](https://www.com-ins-netz.de/Pfand-Plugin-JTL-Shop5_2) damit der Pfand auch als solcher auf der Rechnung ausgewiesen wird.

___
## Einrichtung

### Plugin

Die Einstellungen unter dem Tab *Einstellungen* sollten weitestgehends selbsterklärend sein. An den verschidenen Optionen befinden sich weitere kurze Erklärungen.

Für die Gruppe *Lieferzeit* werden Einstellungen für Öffnungszeiten unter dem Tab *Zeiten* benötigt.

Für Mehrweg Pfandsysteme wird eine Konfigurationsgruppe in der Wawi benötigt. Dessen ID (Interner Schlüssel) muss dann im Plugin unter der Gruppe *Konfigurator* unter Konfigurationsgruppen ID hinterlegt werden.

Unter dem Tab *Zeiten* können pro Wochentag mehrere Öffnungszeiten angelegt werden. Diese werden als Grundlage für Liefer- oder Abholzeiten verwendet sowie für das Portlet welches dynamische Informationen zu Öffnungszeiten z.B. auf der Startseite darstellt.

### Plugin - Portlet

Das Portlet für Öffnungszeiten ist ein Zusatzfeature welches extra gebucht werden kann. Dieses zeigt dynamische Informationen an. Wie z.B. ```Bis 19 Uhr geöffnet``` oder ```Wieder am Montag geöffnet```

Eingebunden wird das Portlet einfach über den OnPageComposer (OPC) auf der Seite wo das Portlet angezeigt werden soll.

### Wawi

Zu den **Eigenen Feldern** wurde unter [Anforderungen](#user-content-anforderungen) schon geschildert wie diese zu pflegen sind.

Im weiteren Verlauf gehen wir davon aus das ein Mehrweg Pfandsystem sowie unser Küchenmonitor (Kitchen Manger) verwendet wird. Für eine gute Darstellung der Bestellungen und Artikel auf allen Geräten müssen ein paar Sachen beachtet werden.

**Mehrweg Pfandsystem** / Einwegverpackungen

Es wird das Funktionsattribut ```cin_mehrweg``` benötigt. Möchten Sie als Alternative Einwegverpackungen gegen Aufpreis anbieten muss zusaätzlich das Funktionsattribut ```cin_einweg``` angelegt werden.

Angelegt werden diese unter  *Artikel -> Attribute -> Bereich:Artikel -> Attribut anlegen (kleines Dreieck)*. Für eine bessere Übersicht kann die Gruppe CiN angelegt werden in welcher dann das Attribut angelegt wird. Die Attribute müssen vom Typ Freitext sein und für Shop und Kasse freigegeben sein.

Bei Verwendung des Küchen Monitors wird eine ```Warengruppe``` benötigt dessen Name mit **Verpackung** beginnt (z.B. ```Verpackung Mehrweg```). Auch hier kann für eine Unterscheidung eine weitere Gruppe für Einweg angelegt werden (z.B. ```Verpackung Einweg```).

Bei verschiedenen Systemen können unterschiedliche Gruppennamen verwendet werden.

Lege eine eigene Kategorie mit einem Namen deiner Wahl an. z.B. *Mehrweg* (Oder der Name des verwendeten Systems)

Aktiviere diese für Shop und Kasse. Dies Sichtbarkeit sollte auf die Kasse beschränkt sein. Entferne also alle Häkchen unter Sichtbarkeit unterhalb des Tabs für den Shop bzw. setze Haken unter Sichtbarkeit im Tab für die Kasse.

Nun erstelle in dieser Kategorie für jedes verwendete Verpackunsprodukt einen Artikel. Im folgenden Beispielhafte Bezeichnungen für ein Becher.

* Artikelname ```Becher 300ml```
* Preis (Brutto-VK) ```1```
* Kasse und Shop als Verkaufskanal aktivieren
* Zuordnen der vorher angelegten Warengruppe
* Artikelbild pflegen (Urheberrechte/Nutzungsrechte beim Hersteller erfragen)
* Zuweisen des Attributes ```cin_mehrweg``` mit einem Bezeichner und Größe als Wert (z.B. ```cup 300```).

Unter *Artikel -> Konfigurationsgruppen* muss eine neue Gruppe angelegt werden. Als Name kann z.B. *Verpackung* oder *Mehrweg* oder der Name des Systems (Wird später im Shop angezeigt) gewählt werden.

Eine kuze Beschreibung dazu ist empfehlenswert. Diese wird später in der Konfiguration z.B. als Empfehlung angezeigt.

> Beispiel:
>
> Wir empfehlen die Verwendung des [NAME] Systems. Holt Euer Essen in einer wiederverwendbaren Verpackung.
> Bei der nächsten Bestellung bringt Ihr diese einfach wieder mit und bekommt den Pfand erstattet.

Da Menüs mehrere Verpackungen haben können sollte als Anzeigetyp die Checkbox ausgewählt werden und als Menge mindestens 0 und maximal 5 (hier ist entscheidend wie viele Position mit Verpackung möglich sind)

Für den Konfigurator kann auch ein Icon/Bild hinterlegt werden.

Anschließend füge alle Verpackungsartikel als Komponenten hinzu. Dafür einfach nur Artikel auswählen.

Gerichten oder Getränken die in Mehrweg Verpackung verkauft werden können muss dann ebenfalls das Attribut ```cin_mehrweg``` mit dem Selben Wert wie aus der Verpackung (z.B. ```cup 300```) zugeordnet werden.

**Einweg**

Die Einwegverpackungen werden fast genauso angelegt. Diese bekommen nur das *cin_einweg* Attribut wärend dessen Wert dem des Artikel bzw. dem Wert der Mehrweg-Verpackung entsprechen muss.

**Artikel erstellen**

Artikel die einem Mehrwegsystem zugeodnet sind und einzeln sowie als Komponente in einem Menü verkauft werden können sind etwas komplizierter anzulegen. Hier empfehlen wir folgende Vorgehensweise (Kaffee als Beispiel):

* Anlegen der Kategorien **Getränke** und beispielsweise **Mehrfachartikel**
* Lege als erstes den Kaffee in Getränke an (also den Artikel der einzeln verkaufbar ist)
* Preis, Beschreibung und Bilder pflegen
* Attribut ```cin_mehrweg``` mit Wert wie dessen Verpackung zuweisen
* Für Shop und Kasse aktiv und sichtbar

Artikel speichern und mit Rechtsklick duplizieren. Den duplizierten Artikel in die Mehrfachartikel Kategorie verschieben, dessen Sichtbarkeit für den Shop und Kasse deaktivieren und ggf. den Namen anpassen.

Nun öffne den ersten wieder, gehe zu Stückliste/Konfigurator, klicke auf Hinzufügen. Hier suchst du nun den 2. Kaffee aus und fügst diesen mit Doppelklick zu.

Jetzt noch die Konfigurationsgruppe für Verpackung zuweisen.

> Jetzt kann der 2.Artikel aus der Mehrfachartikel Gruppe einer neuen oder bestehenden Konfigurationsgruppe zugeordenet werden wie z.B. **Getränke**.
>
> Diese Gruppe lässt sich wiederum nun einem Menü zuordnen bei welchem der Hauptartikel ebenfalls ein Verpackungsattribut haben kann.
>
> Hat dieses Menü für Standardkomponenten einen festen Preis, kann beim zuordnen des Artikels zur Konfigurationsgruppe unter dem Tab *Preise* der Haken *Preise vom Artikel beziehen* entfernt werden.

___
## Tipps und Tricks

- Die Konfigurationsgruppe für Verpackungen sollte immer als letzte in einer Konfiguration stehen
- Lassen Sie die Abholnummer in der E-Mail (Bestellbestätigung) anzeigen.

  * Navigiere im Shopbackend zu *Backend -> Administration -> Vorlagen*
  * Bestellbestätigung bearbeiten
  * unter [Snippets](#user-content-snippets) stehen Beispiel Code Schnipsel die in die entsprechenden Bereiche eingefügt werden können

## FAQ's

> **F**: Wie werden Übersetzungen gepflegt ?
>
> **A**: Fast alle Inhalte des Plugin sind in PO Dateien unter dem Verzeichnis *locale* gepflegt. Diese können direkt geändert oder für neue Sprachen im Shop mit Ihrem Sprachspezifischem Verzeichnis dupliziert werden. Die ID's müssen immmer so bleiben wie vorgegeben. Die Message Strings (msgstr) werden angepasst. Am Ende muss die PO Datei mit einem Tool (z.B. PO-Edit) geöffnet und gespeichert werden. Dabei entsteht eine Zusätzliche MO Datei. Beide müssen nun in das entsprechende Verzeichnis kopiert werden.

## Snippets

**Abholnummer in Bestellbestätigung**

*Inhalt HTML (Deutsch)*
```
{foreach $Bestellung->OrderAttributes as $oAttributes}
  {if isset($oAttributes->cName) && $oAttributes->cName === 'cin_foodorder'}
    Ihre Abholnummer lautet: <strong>{$oAttributes->cValue}</strong><br>
    {break}
  {/if}
{/foreach}
```

*Inhalt Text (Deutsch)*
```
{foreach $Bestellung->OrderAttributes as $oAttributes}
  {if isset($oAttributes->cName) && $oAttributes->cName === 'cin_foodorder'}
    Ihre Abholnummer lautet: {$oAttributes->cValue}
    {break}
  {/if}
{/foreach}
```

*Inhalt HTML (Englisch)*
```
{foreach $Bestellung->OrderAttributes as $oAttributes}
  {if isset($oAttributes->cName) && $oAttributes->cName === 'cin_foodorder'}
    Your pick-up id: <strong>{$oAttributes->cValue}</strong><br>
    {break}
  {/if}
{/foreach}
```

*Inhalt Text (Englisch)*
```
{foreach $Bestellung->OrderAttributes as $oAttributes}
  {if isset($oAttributes->cName) && $oAttributes->cName === 'cin_foodorder'}
    Your pick-up id: {$oAttributes->cValue}
    {break}
  {/if}
{/foreach}
```
