<?php

use JTL\Shop;
use Cin\Bistro5\BistroService;

require_once dirname(__DIR__, 3) . '/admin/includes/admininclude.php';

/**
 * @var JTL\Backend\AdminAccount $oAccount
 * @var JTL\Smarty\JTLSmarty $smarty
 * @var JTL\Plugin\Plugin $_plugin
 * @var Envms\FluentPDO\Query $fpdo
 */

$permission = $oAccount->permission('PLUGIN_ADMIN_VIEW', true, true);

require \dirname(__DIR__, 1).'/src/warmup.php';

Shop::Container()->getGetText()->loadPluginLocale('base', $P->getJTlPlugin());

$response = new stdClass();
$response->success = true;
$response->data = '';
$response->message = '';


$params = array_merge($_GET, $_POST);
if ('application/json' == (getallheaders()['Content-Type']??'')) {
  $params = array_merge($params, json_decode(file_get_contents('php://input'), true)??[]);
}

header_remove("Content-Type");
switch($_SERVER['REQUEST_METHOD'].'_'.($params['action']??'missingaction')) {
  // TODO complete this template if you need it
  
  case 'POST_closings':
    $response->data = BistroService::GetClosings();
    break;
    
  case 'POST_closingsupdate':
    $response->data = BistroService::UpdateClosings($params['data']);
    break;
    
  case 'POST_closingsdelete':
    $response->data = BistroService::DeleteClosings();
    break;
    
  case 'POST_daytoggle':
    BistroService::DayToggle($params['data']);
    break;
  
  case 'POST_delete':
    $response->data = BistroService::DeleteLeaf($params['data']);
    break;
    
  case 'POST_initialopenings':
    $response->data = BistroService::InitialDayToggles();
    break;
    
  case 'POST_newtime':
    $branch = BistroService::ExtendBranch($params['branchID']);
    $response->data = $branch;
    break;
    
  case 'POST_openings':
    $response->data = BistroService::LoadBranches();
    break;
    
  case 'POST_rowtemplate':
    $response->data = BistroService::RowTemplate();
    break;
    
  case 'POST_update':
    $response->success = BistroService::UpdateTime($params['data']);
    break;

  case 'POST_test':
    $response->data = BistroService::Test($params['data']);
    break;
    
  default:
    $response->success = false;
    $response->code = 404;
    $response->data = $params;
}

header('Content-Type: application/json');
http_response_code((($response->success) ? 200 : ($response->code??400)));
die(json_encode($response));

