{block name='checkout-step5-confirmation-comment' append}
  {col cols=12 md=6 id="panel-edit-bistrotime"}
  {card no-body=true}
  {cardheader}
  {block name='checkout-step5-confirmation-bistrotime-header'}
    <!-- ab 5.1.0+  -->
    <span class="h3 checkout-confirmation-heading">{lang key='bistro_time_name' section='cin_bistro_5'}</span>
    <!-- - 5.1.0  -->
    {* <span class="h3 checkout-confirmation-heading">{$bistro_time_name}</span> *}
  {/block}
  {/cardheader}
  {cardbody}
  {block name='checkout-step5-confirmation-bistrotime-body'}
    <select onchange="referBistrozeit(this.value)" id="bistrotime" name="bistrozeit"
      class="checkout-confirmation-bistrotime custom-select" title="Wunschzeit zur Bestellung"
      aria-label="Wunschzeit zur Bestellung" data-count="{$bistro_time_values|count}">
      {foreach from=$bistro_time_values item=$bistro_time_value}
        <option value="{$bistro_time_value['val']}" {if $bistro_time_value['val'] == 'blocked'}disabled{/if}>
          {$bistro_time_value['txt']}{if $bistro_time_value['val'] == 'blocked'} {__('booked up')}{/if}
        </option>
      {/foreach}
    </select>
  {/block}
  {/cardbody}
  {/card}
  {/col}
{/block}

{block name='checkout-step5-confirmation-form-content' prepend}
  {input type="hidden" name="bistrozeit" value="1" id="hiddenbistrozeit"}
  {literal}
    <script>
      $('#hiddenbistrozeit').val($('#bistrotime').val());
      function referBistrozeit(objDropDown) {$('#hiddenbistrozeit').val(objDropDown);}
    </script>
  {/literal}
{/block}

{block name='checkout-step5-confirmation-delivery-billing-address'}
  {card no-body=true class="checkout-confirmation-billing-address"}
  {cardheader}
  {block name='checkout-step5-confirmation-delivery-billing-address-header'}
    {row class='align-items-center-util'}
    {col}
    <span class="" data-toggle="collapse" href="#billing-address-collapse" role="button" aria-expanded="false"
      aria-controls="billing-address-collapse">
      <span class="h3 checkout-confirmation-heading">{lang section="account data" key='billingAndDeliveryAddress'}</span>
    </span>
    {/col}
    {col class='col-auto'}
    {button variant="link" size="sm" href="{get_static_route id='bestellvorgang.php'}?editRechnungsadresse=1"
    aria=['label'=>{lang key='change'}]}
    <span class="checkout-confirmation-change">{lang key='change'}</span>
    <span class="fa fa-pencil-alt"></span>
    {/button}
    {/col}
    {/row}
  {/block}
  {/cardheader}
  {cardbody id="billing-address-collapse" class="collapse"}
  {block name='checkout-step5-confirmation-delivery-billing-address-body'}
    {row}
    {col cols=12 md=6}
    {block name='checkout-step5-confirmation-include-inc-billing-address'}
      <p><strong class="title">{lang key='billingAdress' section='account data'}</strong></p>
      <p>{include file='checkout/inc_billing_address.tpl'}</p>
    {/block}
    {/col}
    {col cols=12 md=6}
    {block name='checkout-step5-confirmation-include-inc-delivery-address'}
      <p><strong class="title">{lang key='shippingAdress' section='account data'}</strong></p>
      <p>{include file='checkout/inc_delivery_address.tpl'}</p>
    {/block}
    {/col}
    {/row}
  {/block}
  {/cardbody}
  {/card}
{/block}

{block name='checkout-step5-confirmation-shipping-billing-method'}
  {card no-body=true class="checkout-confirmation-shipping"}
  {cardheader}
  {block name='checkout-step5-confirmation-shipping-billing-method-header'}
    {row class='align-items-center-util'}
    {col}
    <span class="" data-toggle="collapse" href="#shipping-method-collapse" role="button" aria-expanded="false"
      aria-controls="shipping-method-collapse">
      <span class="h3 checkout-confirmation-heading">{lang section="account data" key='shippingAndPaymentOptions'}</span>
    </span>
    {/col}
    {col class='col-auto'}
    {button variant="link"
                                                      size="sm"
                                                      href="{get_static_route id='bestellvorgang.php'}?editVersandart=1"
    aria=['label'=>{lang key='change'}]
    }
    <span class="checkout-confirmation-change">{lang key='change'}</span>
    <span class="fa fa-pencil-alt"></span>
    {/button}
    {/col}
    {/row}
  {/block}
  {/cardheader}
  {cardbody id="shipping-method-collapse" class="collapse"}
  {block name='checkout-step5-confirmation-shipping-billing-method-body'}
    {row}
    {col cols=12 md=6}
    {block name='checkout-step5-confirmation-shipping-method'}
      <p><strong class="title">{lang key='shippingOptions'}</strong></p>
      <p>{$smarty.session.Versandart->angezeigterName|trans}</p>

      {$cEstimatedDelivery = JTL\Session\Frontend::getCart()->getEstimatedDeliveryTime()}
      {if $cEstimatedDelivery|strlen > 0}
        <p class="small text-muted-util">
          <strong>{lang key='shippingTime'}</strong>: {$cEstimatedDelivery}
        </p>
      {/if}
    {/block}
    {/col}
    {col cols=12 md=6}
    {block name='checkout-step5-confirmation-payment-method'}
      <p><strong class="title">{lang key='paymentOptions'}</strong></p>
      <p>{$smarty.session.Zahlungsart->angezeigterName|trans}</p>
      {if isset($smarty.session.Zahlungsart->cHinweisText) && !empty($smarty.session.Zahlungsart->cHinweisText)}{* this should be localized *}
        <p class="small text-muted-util">{$smarty.session.Zahlungsart->cHinweisText}</p>
      {/if}
    {/block}
    {/col}
    {/row}
  {/block}
  {/cardbody}
  {/card}
{/block}
